> For the complete documentation index, see [llms.txt](https://docs.ledge.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ledge.co/api-reference/fundamentals/fine-grained-permissions.md).

# Fine-Grained Permissions

Ledge employs fine-grained permissions model to determine exactly what data is available for which users. Administrators can define permissions that fit their organization’s specific needs with role-based access, based on either built-in or custom roles.

Built-in Roles:

<table><thead><tr><th>Role</th><th>Access</th><th data-hidden></th></tr></thead><tbody><tr><td>Administrator</td><td>Full access to all resources; User management control</td><td></td></tr><tr><td>Full member</td><td>Full access to all resources</td><td></td></tr><tr><td>View-only</td><td>Read-only access to all resources</td><td></td></tr></tbody></table>

Custom roles can be used to allow, or deny, access to specific resources.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ledge.co/api-reference/fundamentals/fine-grained-permissions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
